Public Member Functions | Protected Attributes | Private Member Functions | List of all members
WKSSubDocument Class Referenceabstract

Basic class used to store a spreadsheet sub document. More...

`#include <WKSSubDocument.h>`

Inheritance diagram for WKSSubDocument:

## Public Member Functions
| WKSSubDocument (RVNGInputStreamPtr const &input, WKSParser *parser, int id=0)
| constructor More...
| ~WKSSubDocument () override
| destructor More...
WKSParser * | parser () const
| returns the parser More...
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator = More...
virtual void | parse (std::shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType)=0
| virtual parse function More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Protected Attributes
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Private Member Functions
| WKSSubDocument (const WKSSubDocument &)=delete
WKSSubDocument & | operator= (const WKSSubDocument &)=delete

## Detailed Description

Basic class used to store a spreadsheet sub document.

## Constructor & Destructor Documentation

## ◆ WKSSubDocument() [1/2]

WKSSubDocument::WKSSubDocument | ( | RVNGInputStreamPtr const & | input,
|  | WKSParser * | parser,
|  | int | id = `0`
| ) |  |

constructor

## ◆ ~WKSSubDocument()

WKSSubDocument::~WKSSubDocument | ( |  | ) |
| override

destructor

## ◆ WKSSubDocument() [2/2]

WKSSubDocument::WKSSubDocument | ( | const WKSSubDocument & |  | ) |
| private delete

## Member Function Documentation

## ◆ operator=()

WKSSubDocument& WKSSubDocument::operator= | ( | const WKSSubDocument & |  | ) |
| private delete

## ◆ operator==()

bool WKSSubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| override virtual

an operator =

Reimplemented from WPSSubDocument.

## ◆ parse()

virtual void WKSSubDocument::parse | ( | std::shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in LotusSpreadsheetInternal::SubDocument, LotusGraphInternal::SubDocument, Quattro9GraphInternal::SubDocument, QuattroGraphInternal::SubDocument, QuattroParserInternal::SubDocument, QuattroDosParserInternal::SubDocument, WKS4ParserInternal::SubDocument, Quattro9ParserInternal::SubDocument, and WKSChartInternal::SubDocument.

Referenced by WKSContentListener::handleSubDocument().

## ◆ parser()

WKSParser* WKSSubDocument::parser | ( |  | ) | const
| inline

returns the parser

## Member Data Documentation

## ◆ m_parser

WKSParser* WKSSubDocument::m_parser
| protected

Referenced by operator==(), and parser().

The documentation for this class was generated from the following files:

- WKSSubDocument.h
- WKSSubDocument.cpp